Name:           perl-XML-Grove
Version:        0.46alpha
Release:        29.1.1.XOS.1
Summary:        Simple access to infoset of parsed XML, HTML, or SGML instances

Group:          Development/Libraries
License:        Artistic
URL:            http://search.cpan.org/dist/XML-Grove/
Source0:        http://www.cpan.org/authors/id/K/KM/KMACLEOD/XML-Grove-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl-libxml-perl
Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
XML::Grove is a tree-based object model for accessing the information
set of parsed or stored XML, HTML, or SGML instances. XML::Grove
objects are Perl hashes and arrays where you access the properties of
the objects using normal Perl syntax.


%prep
%setup -q -n XML-Grove-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog Changes COPYING DOM* README examples/
%{perl_vendorlib}/XML/*
%{_mandir}/man3/*.3*


%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.46alpha-29.1.1.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on perl-XML-Grove-0.46alpha-29.1.1.src.rpm
  (md5sum of original source rpm: b138d57942409eeb485be628f03357a7).

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 0.46alpha-29.1
- rebuild for new perl-5.8.8

* Fri Jan  6 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.46alpha-29
- Rewrite specfile using fedora-rpmdevtools' spec template, fixes #176889.
- Fix License, include docs.

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Wed Mar 30 2005 Warren Togami <wtogami@redhat.com>
- remove brp-compress

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 0.46alpha-26
- rebuild

* Fri Apr 23 2004 Chip Turner <cturner@redhat.com> 0.46alpha-26
- bump

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jun  4 2002 Chip Turner <cturner@redhat.com>
- properly claim directories owned by package so they are removed when package is removed

* Sat Jan 26 2002 Jeff Johnson <jbj@redhat.com>
- add internal provides.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 0.46alpha-2
- imported from mandrake

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 0.46alpha-1mdk
- Newly introduced for Foomatic.
